- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_List Struct Reference
List

Type for a generic double linked list. More...

## Data Fields
void * | data
| Pointer to list element payload.
Eina_List * | next
| Next member in the list.
Eina_List * | prev
| Previous member in the list.
Eina_List_Accounting * | accounting
| Private list accounting info - don't touch.

## Detailed Description

Type for a generic double linked list.

Examples:
  ecore_con_server_simple_example.c, ecore_con_url_cookies_example.c, ecore_con_url_headers_example.c, ecore_evas_basics_example.c, ecore_thread_example.c, edje-box2.c, edje-color-class.c, eet-data-file_descriptor_01.c, eet-data-file_descriptor_02.c, eet-data-nested.c, eina_accessor_01.c, eina_inlist_02.c, eina_iterator_01.c, eina_list_01.c, eina_list_02.c, eina_list_03.c, eina_list_04.c, eina_tiler_01.c, evas-box.c, evas-buffer-simple.c, evas-events.c, evas-init-shutdown.c, and test_growing_balls.c.